body {
  display: flex;
  flex-direction: column;
  height: 100vh;
  margin: 0;
  background-color: aliceblue;
  justify-content: space-between;
}

#main {
  display: grid;
  place-items: center;
  width: 100%;
  height: 100vh;
}

#calculator {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  border-radius: 10px;
  gap: 30px;
  height: 600px;
  width: 480px;
  background-color: #333333;
  padding: 30px;
}

#showInput {
  display: flex;
  flex-direction: column;
  border-radius: 10px;
  height: 13vh;
  width: 100%;
  border: solid;
  border-color: white;
  border-radius: 10px;
  border-width: 2px;
  padding-right: 5px;
  background-color: #335;
}

#lastInputed {
  height: 33vh;
  width: 100%;
  text-align: right;
  color: #bbd;
  font-size: 32px;
  font-family: Helvetica, sans-serif;
  padding-top: 8px;
}

#currentInput,
#currentInput:focus {
  height: 66vh;
  width: 100%;
  background:none;
  text-align: right;
  color: aliceblue;
  font-size: 48px;
  font-family: Helvetica, sans-serif;
}

#buttons {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(6, 1fr);
  grid-column-gap: 4px; 
  grid-row-gap: 4px; 
  height: 82vh;
  width: 100%;
}

footer {
  display: flex;
  justify-content: space-between;
  padding: 5px;
  padding-left: 10px;
  padding-right: 10px;
  background-color: #335;
  color: aliceblue;
  font-family: Helvetica, sans-serif;
}